Package com.google.android.exoplayer2.util

## Class FrameInfo

- java.lang.Object
- - com.google.android.exoplayer2.util.FrameInfo

-     public class FrameInfo
      extends Object

  Value class specifying information about a decoded video frame.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `height` | The height of the frame, in pixels.
    `float` | `pixelWidthHeightRatio` | The ratio of width over height for each pixel.
    `long` | `streamOffsetUs` | An offset in microseconds that is part of the input timestamps and should be ignored for processing but added back to the output timestamps.
    `int` | `width` | The width of the frame, in pixels.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrameInfo​(int width, int height, float pixelWidthHeightRatio, long streamOffsetUs)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          public final int width

      The width of the frame, in pixels.

    - #### height

          public final int height

      The height of the frame, in pixels.

    - #### pixelWidthHeightRatio

          public final float pixelWidthHeightRatio

      The ratio of width over height for each pixel.

    - #### streamOffsetUs

          public final long streamOffsetUs

      An offset in microseconds that is part of the input timestamps and should be ignored for processing but added back to the output timestamps.

      The offset stays constant within a stream but changes in between streams to ensure that frame timestamps are always monotonically increasing.

  - ### Constructor Detail

    - #### FrameInfo

          public FrameInfo​(int width,
                           int height,
                           float pixelWidthHeightRatio,
                           long streamOffsetUs)

      Creates a new instance.
      Parameters:
        `width` - The width of the frame, in pixels.
        `height` - The height of the frame, in pixels.
        `pixelWidthHeightRatio` - The ratio of width over height for each pixel.
        `streamOffsetUs` - An offset in microseconds that is part of the input timestamps and should be ignored for processing but added back to the output timestamps.